using System.ComponentModel.DataAnnotations.Schema;

namespace EnotaryoPH.Data.Entities
{
    [Table("LawyerVideoConferenceSchedule")]
    public class LawyerVideoConferenceSchedule
    {
        [Column("CreatedOn")]
        public DateTime? CreatedOn { get; set; }

        [ForeignKey("LawyerID")]
        public Lawyer Lawyer { get; set; }

        [Column("LawyerID")]
        public int LawyerID { get; set; }

        public List<LawyerVideoConferenceParticipant> LawyerVideoConferenceParticipants { get; set; }

        [Column("LawyerVideoConferenceSchedule_UID")]
        public Guid LawyerVideoConferenceSchedule_UID { get; set; }

        [Column("LawyerVideoConferenceScheduleID")]
        public int LawyerVideoConferenceScheduleID { get; set; }

        [Column("MeetingDate")]
        public DateTime MeetingDate { get; set; }

        [Column("MeetingRoomID")]
        public string? MeetingRoomID { get; set; }

        [Column("MeetingRoomTokenID")]
        public string? MeetingRoomTokenID { get; set; }

        [Column("MeetingRoomUserID")]
        public string? MeetingRoomUserID { get; set; }

        [Column("RecordingID")]
        public string? RecordingID { get; set; }

        [Column("ServerCallID")]
        public string? ServerCallID { get; set; }

        [Column("Status")]
        public string? Status { get; set; }

        [ForeignKey("TransactionID")]
        public Transaction Transaction { get; set; }

        [Column("TransactionID")]
        public int TransactionID { get; set; }

        public VideoRecording VideoRecording { get; set; }
    }
}